Bug 5926 - fvcool needs /etc/init.d sctipt to start at boot
: fvcool needs /etc/init.d sctipt to start at boot
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/fvcool)
: unstable
: all Linux
: P2 enhancement
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-01-22 17:33 by
Modified: 2005-06-01 01:04 (History)


Attachments
inid.d script (784 bytes, text/plain)
2005-01-22 17:38, viy
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-01-22 17:33:41
# fvcool needs /etc/init.d sctipt  to start at boot
# it can be in separate package fvcool-daemon
# an example of my script is added below
# +++++++++++++++++++++++++++++++++++++++++++++++++++

#!/bin/sh

# chkconfig: 2345 88 06
# description: This script enables Athlon CPU cooling feature. it changes the
PCI configuration data of the chipset (north bridge), and allow Athlon/Duron to
go into power-save mode. Not recommended for SiS chipsets.
#

# Source function library.
. /etc/rc.d/init.d/functions

RETVAL=0
SERVICENAME="AMD Athlon/Duron cooling"

TryFVcool ()
{
	if /usr/bin/fvcool $1
	then
		RETVAL=$?
		success $1
	else
		RETVAL=$?
		failure $1
	fi
	return $RETVAL
}


# See how we were called.
case "$1" in
  start)
	echo -n "Enabling $SERVICENAME: "
	TryFVcool -e
	RETVAL=$?
	;;
  stop)
	echo -n "Disabling $SERVICENAME: "
	TryFVcool -d
	RETVAL=$?
	;;
  restart)
  	"$0" stop; "$0" start
  	;;
  *)
	echo "Usage: $0 {start|stop|restart}"
	exit 1
esac

exit $RETVAL
------- Comment #1 From 2005-01-22 17:38:18 -------
Created an attachment (id=700) [details]
inid.d script
------- Comment #2 From 2005-01-23 02:25:49 -------
fixed in fvcool-1.04-alt2 
------- Comment #3 From 2005-06-01 01:04:17 -------
сделано